connector-adapters
Operations of the Connector Gateway API. Paths are relative to your deployment's API host.
GET /api/connector-gateway-api/projects/{projectId}/adapters
List project adapter configs
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json AdapterConfigResponseDtoDataArrayEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/connector-gateway-api/projects/{projectId}/adapters
Configure integration adapter for project scope
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
projectId | path | string | yes |
Request body: application/json ConfigureAdapterDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json AdapterConfigResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
GET /api/connector-gateway-api/projects/{projectId}/adapters/{adapterKey}/status
Get adapter status for project scope
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
adapterKey | path | one of "DOCUMENTATION", "TRACKER", "SCM", "NPM_REGISTRY", "CONTAINER_REGISTRY", "MAIL_INTAKE", "MAIL_EGRESS", "CONVERSATION" | yes | |
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json AdapterConfigResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |